---------------------
PatchSet 3735 
Date: 2002/03/16 09:50:24
Author: serassio
Branch: nt-2_5
Tag: (none) 
Log:
Imported Windows patches from NT-2_3 and Cygwin-svc (second round)

Members: 
	src/acl.c:1.43.2.1->1.43.2.1.4.1 
	src/cache_cf.c:1.38.6.3->1.38.6.3.2.1 
	src/cache_diff.c:1.6->1.6.74.1 
	src/cf_gen.c:1.10->1.10.14.1 

Index: squid/src/acl.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/acl.c,v
retrieving revision 1.43.2.1
retrieving revision 1.43.2.1.4.1
diff -u -r1.43.2.1 -r1.43.2.1.4.1
--- squid/src/acl.c	13 Jan 2002 03:23:53 -0000	1.43.2.1
+++ squid/src/acl.c	16 Mar 2002 09:50:24 -0000	1.43.2.1.4.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: acl.c,v 1.43.2.1 2002/01/13 03:23:53 squidadm Exp $
+ * $Id: acl.c,v 1.43.2.1.4.1 2002/03/16 09:50:24 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -124,7 +124,7 @@
 		debug(28, 0) ("strtokFile: %s not found\n", fn);
 		return (NULL);
 	    }
-#if defined(_SQUID_CYGWIN_)
+#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
 	    setmode(fileno(aclFile), O_TEXT);
 #endif
 	    aclFromFile = 1;
Index: squid/src/cache_cf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_cf.c,v
retrieving revision 1.38.6.3
retrieving revision 1.38.6.3.2.1
diff -u -r1.38.6.3 -r1.38.6.3.2.1
--- squid/src/cache_cf.c	11 Mar 2002 05:06:56 -0000	1.38.6.3
+++ squid/src/cache_cf.c	16 Mar 2002 09:50:24 -0000	1.38.6.3.2.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.c,v 1.38.6.3 2002/03/11 05:06:56 squidadm Exp $
+ * $Id: cache_cf.c,v 1.38.6.3.2.1 2002/03/16 09:50:24 serassio Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -242,7 +242,7 @@
     if ((fp = fopen(file_name, "r")) == NULL)
 	fatalf("Unable to open configuration file: %s: %s",
 	    file_name, xstrerror());
-#if defined(_SQUID_CYGWIN_)
+#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
     setmode(fileno(fp), O_TEXT);
 #endif
     cfg_filename = file_name;
Index: squid/src/cache_diff.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_diff.c,v
retrieving revision 1.6
retrieving revision 1.6.74.1
diff -u -r1.6 -r1.6.74.1
--- squid/src/cache_diff.c	12 Jan 2001 08:20:32 -0000	1.6
+++ squid/src/cache_diff.c	16 Mar 2002 09:50:24 -0000	1.6.74.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_diff.c,v 1.6 2001/01/12 08:20:32 hno Exp $
+ * $Id: cache_diff.c,v 1.6.74.1 2002/03/16 09:50:24 serassio Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -137,7 +137,7 @@
 	fprintf(stderr, "cannot open %s: %s\n", fname, strerror(errno));
 	return 0;
     }
-#if defined(_SQUID_CYGWIN_)
+#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
     setmode(fileno(file), O_BINARY);
 #endif
     scanned_count = cacheIndexScan(idx, fname, file);
Index: squid/src/cf_gen.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf_gen.c,v
retrieving revision 1.10
retrieving revision 1.10.14.1
diff -u -r1.10 -r1.10.14.1
--- squid/src/cf_gen.c	18 Oct 2001 20:52:11 -0000	1.10
+++ squid/src/cf_gen.c	16 Mar 2002 09:50:25 -0000	1.10.14.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cf_gen.c,v 1.10 2001/10/18 20:52:11 squidadm Exp $
+ * $Id: cf_gen.c,v 1.10.14.1 2002/03/16 09:50:25 serassio Exp $
  *
  * DEBUG: none          Generate squid.conf.default and cf_parser.h
  * AUTHOR: Max Okumoto
@@ -66,7 +66,7 @@
 #if HAVE_ASSERT_H
 #include <assert.h>
 #endif
-#if defined(_SQUID_CYGWIN_)
+#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
 #include <io.h>
 #endif
 #if HAVE_FCNTL_H
@@ -152,7 +152,7 @@
 	perror(input_filename);
 	exit(1);
     }
-#if defined(_SQUID_CYGWIN_)
+#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
     setmode(fileno(fp), O_TEXT);
 #endif
     state = sSTART;
@@ -333,7 +333,7 @@
 	perror(output_filename);
 	exit(1);
     }
-#if defined(_SQUID_CYGWIN_)
+#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
     setmode(fileno(fp), O_TEXT);
 #endif
     fprintf(fp,
@@ -358,7 +358,7 @@
 	perror(conf_filename);
 	exit(1);
     }
-#if defined(_SQUID_CYGWIN_)
+#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
     setmode(fileno(fp), O_TEXT);
 #endif
     gen_conf(entries, fp);
